AllCops:
  Exclude:
    - 'bin/**/*'
    - 'db/**/*'
    - 'config/**/*'
    - 'script/**/*'

Rails:
  Enabled: true

Style/AlignParameters:
  EnforcedStyle: with_fixed_indentation

Style/CaseIndentation:
  EnforcedStyle: end

Style/AsciiComments:
  Enabled: false

Style/IndentHash:
  Enabled: false

Style/CollectionMethods:
  Enabled: true
  PreferredMethods:
      inject: 'inject'

Style/Documentation:
  Enabled: false

Style/BlockDelimiters:
  Exclude:
    - spec/**/*_spec.rb

Style/BracesAroundHashParameters:
  Exclude:
    - spec/**/*_spec.rb

Style/GuardClause:
  Enabled: false

Style/IfUnlessModifier:
  Enabled: false

Style/SpaceInsideHashLiteralBraces:
  Enabled: false

Style/Lambda:
  Enabled: false

Style/RaiseArgs:
  Enabled: false

Style/SignalException:
  Enabled: false

Metrics/AbcSize:
  Max: 20

Metrics/ClassLength:
  Max: 100

Metrics/ModuleLength:
  Max: 100

Metrics/LineLength:
  Enabled: false

Metrics/MethodLength:
  Max: 15

Style/SingleLineBlockParams:
  Enabled: false

Lint/EndAlignment:
  EnforcedStyleAlignWith: variable

Style/FormatString:
  Enabled: false

Style/MultilineMethodCallIndentation:
  EnforcedStyle: indented

Style/MultilineOperationIndentation:
  EnforcedStyle: indented

Style/WordArray:
  Enabled: false

Style/RedundantSelf:
  Enabled: false

Style/AlignHash:
  Enabled: true
  EnforcedLastArgumentHashStyle: always_ignore

Style/TrivialAccessors:
  AllowPredicates: true